audit_sockaddr
Prev | Chapter 13. Audit Interfaces | Next

## Name

audit_sockaddr — record audit data for sys_bind, sys_connect, sys_sendto

## Synopsis

`int audit_sockaddr (` | int | len,
| void * | a`)`;

## Arguments

`len`

  data length in user space

`a`

  data address in kernel space

## Description

Returns 0 for success or NULL context or < 0 on error.

Prev | Up | Next
__audit_fd_pair | Home | __audit_signal_info